Package org.apache.sling.feature.cpconverter.features

## Enum DefaultFeaturesManager.ConfigurationHandling

- java.lang.Object
- - java.lang.Enum<DefaultFeaturesManager.ConfigurationHandling>
  - - org.apache.sling.feature.cpconverter.features.DefaultFeaturesManager.ConfigurationHandling

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultFeaturesManager.ConfigurationHandling>`

Enclosing class:
  DefaultFeaturesManager

    public static enum DefaultFeaturesManager.ConfigurationHandling
    extends Enum<DefaultFeaturesManager.ConfigurationHandling>

### Enum Constant Summary

Enum Constants
`MERGE`
`ORDERED`
`STRICT`

### Method Summary

All Methods Static Methods Concrete Methods
`static DefaultFeaturesManager.ConfigurationHandling` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DefaultFeaturesManager.ConfigurationHandling[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ORDERED

    public static final DefaultFeaturesManager.ConfigurationHandling ORDERED

#### MERGE

    public static final DefaultFeaturesManager.ConfigurationHandling MERGE

#### STRICT

    public static final DefaultFeaturesManager.ConfigurationHandling STRICT

### Method Detail

#### values

    public static DefaultFeaturesManager.ConfigurationHandling[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DefaultFeaturesManager.ConfigurationHandling c : DefaultFeaturesManager.ConfigurationHandling.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DefaultFeaturesManager.ConfigurationHandling valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null